libgdamm: Gnome::Gda::Batch Class Reference

libgdamm 4.99.10

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions | Protected Member Functions | Related Functions | List of all members
Gnome::Gda::Batch Class Reference
Data Handlers

Multiple SQL statements grouped together. More...

Inheritance diagram for Gnome::Gda::Batch:
[legend]
Collaboration diagram for Gnome::Gda::Batch:
[legend]

## Public Types
typedef std::vector< Glib::RefPtr< const Statement > > | StatementVector
Public Types inherited from Glib::Object
typedef void(* | DestroyNotify) (gpointer data)
Public Types inherited from sigc::trackable
typedef internal::func_destroy_notify | func_destroy_notify

## Public Member Functions
| Batch (Batch&& src) noexcept
Batch& | operator= (Batch&& src) noexcept
virtual | ~Batch () noexcept
GdaBatch* | gobj ()
| Provides access to the underlying C GObject. More...
const GdaBatch* | gobj () const
| Provides access to the underlying C GObject. More...
GdaBatch* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs. More...
Glib::RefPtr< Batch > | copy ()
| Copy constructor. More...
void | add_statement (const Glib::RefPtr< Statement >& stmt)
| Add stmt to the list of statements managed by batch. More...
void | remove_statement (const Glib::RefPtr< Statement >& stmt)
| Removes stmt from the list of statements managed by batch. More...
Glib::ustring | serialize () const
| Creates a string representing the contents of batch. More...
StatementVector | get_statements () const
| Get a list of the Gda::Statement objects contained in batch. More...
bool | get_parameters (Glib::RefPtr< Set >& out_params)
| Get a new Gda::Set object which groups all the execution parameters which stmt needs. More...
Glib::SignalProxy1< void, Glib::RefPtr< Statement > > | signal_changed ()
Public Member Functions inherited from Glib::Object
| Object (const Object &)=delete
Object & | operator= (const Object &)=delete
| Object (Object &&src) noexcept
Object & | operator= (Object &&src) noexcept
void * | get_data (const QueryQuark &key)
void | set_data (const Quark &key, void *data)
void | set_data (const Quark &key, void *data, DestroyNotify notify)
void | remove_data (const QueryQuark &quark)
void * | steal_data (const QueryQuark &quark)
Glib::RefPtr< Glib::Object > | wrap (GObject *object, bool take_copy=false)
Public Member Functions inherited from Glib::ObjectBase
| ObjectBase (const ObjectBase &)=delete
ObjectBase & | operator= (const ObjectBase &)=delete
void | set_property_value (const Glib::ustring &property_name, const Glib::ValueBase &value)
void | get_property_value (const Glib::ustring &property_name, Glib::ValueBase &value) const
void | set_property (const Glib::ustring &property_name, const PropertyType &value)
void | get_property (const Glib::ustring &property_name, PropertyType &value) const
void | connect_property_changed (const Glib::ustring &property_name, const sigc::slot< void > &slot)
sigc::connection | connect_property_changed_with_return (const Glib::ustring &property_name, const sigc::slot< void > &slot)
void | freeze_notify ()
void | thaw_notify ()
virtual void | reference () const
virtual void | unreference () const
GObject * | gobj ()
const GObject * | gobj () const
GObject * | gobj_copy () const
Public Member Functions inherited from sigc::trackable
| trackable ()
| trackable (const trackable &src)
| trackable (trackable &&src) noexcept
| ~trackable ()
void | add_destroy_notify_callback (void *data, func_destroy_notify func) const
void | notify_callbacks ()
trackable & | operator= (const trackable &src)
trackable & | operator= (trackable &&src) noexcept
void | remove_destroy_notify_callback (void *data) const

## Static Public Member Functions
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system. More...
static Glib::RefPtr< Batch > | create ()

## Protected Member Functions
| Batch ()
Protected Member Functions inherited from Glib::Object
| Object ()
| Object (const Glib::ConstructParams &construct_params)
| Object (GObject *castitem)
virtual | ~Object () noexcept
Protected Member Functions inherited from Glib::ObjectBase
| ObjectBase ()
| ObjectBase (const char *custom_type_name)
| ObjectBase (const std::type_info &custom_type_info)
| ObjectBase (ObjectBase &&src) noexcept
ObjectBase & | operator= (ObjectBase &&src) noexcept
virtual | ~ObjectBase () noexcept=0
void | initialize (GObject *castitem)
void | initialize_move (GObject *castitem, Glib::ObjectBase *previous_wrapper)

## Related Functions
(Note that these are not member functions.)
Glib::RefPtr< Gnome::Gda::Batch > | wrap (GdaBatch* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...

## Detailed Description

Multiple SQL statements grouped together.

The Gda::Batch object represents one or more SQL statements (as Gda::Statement objects) in a single object. A Gda::Batch can either be built "manually" by assembling together several Gda::Statement objects, or from an SQL string using a Gda::SqlParser object.

## Member Typedef Documentation

typedef std::vector<Glib::RefPtr<const Statement> > Gnome::Gda::Batch::StatementVector

## Constructor & Destructor Documentation

Gnome::Gda::Batch::Batch | ( | Batch&& | src | ) |
| noexcept

virtual Gnome::Gda::Batch::~Batch | ( |  | ) |
| virtualnoexcept

Gnome::Gda::Batch::Batch | ( |  | ) |
| protected

## Member Function Documentation

void Gnome::Gda::Batch::add_statement | ( | const Glib::RefPtr< Statement >& | stmt | ) |

Add stmt to the list of statements managed by batch.

A Gda::Statement object can be added multiple times to a Gda::Batch object.

Parameters

  stmt | A statement to add to batch's statements list.

Glib::RefPtr<Batch> Gnome::Gda::Batch::copy | ( |  | ) |

Copy constructor.

Returns
  A the new copy of orig.

static Glib::RefPtr<Batch> Gnome::Gda::Batch::create | ( |  | ) |
| static

bool Gnome::Gda::Batch::get_parameters | ( | Glib::RefPtr< Set >& | out_params | ) |

Get a new Gda::Set object which groups all the execution parameters which stmt needs.

This new object is returned though out_params.

Note that if stmt does not need any parameter, then out_params is set to `0`.

Parameters

  out_params | A place to store a new Gda::Set object, or `0`.

Returns
  `true` if no error occurred.

StatementVector Gnome::Gda::Batch::get_statements | ( |  | ) | const

Get a list of the Gda::Statement objects contained in batch.

Returns
  A list of Gda::Statement which should not be modified.

static GType Gnome::Gda::Batch::get_type | ( |  | ) |
| static

Get the GType for this class, for use with the underlying GObject type system.

GdaBatch* Gnome::Gda::Batch::gobj | ( |  | ) |
| inline

Provides access to the underlying C GObject.

const GdaBatch* Gnome::Gda::Batch::gobj | ( |  | ) | const
| inline

Provides access to the underlying C GObject.

GdaBatch* Gnome::Gda::Batch::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

Batch& Gnome::Gda::Batch::operator= | ( | Batch&& | src | ) |
| noexcept

void Gnome::Gda::Batch::remove_statement | ( | const Glib::RefPtr< Statement >& | stmt | ) |

Removes stmt from the list of statements managed by batch.

If stmt is present several times in batch's statements' list, then only the first one is removed.

Parameters

  stmt | A statement to remove from batch's statements list.

Glib::ustring Gnome::Gda::Batch::serialize | ( |  | ) | const

Creates a string representing the contents of batch.

Returns
  A string containing the serialized version of batch.

Glib::SignalProxy1< void,Glib::RefPtr<Statement> > Gnome::Gda::Batch::signal_changed | ( |  | ) |

Slot Prototype:
  `void on_my_changed(Glib::RefPtr<Statement> stmt)`

## Friends And Related Function Documentation

Glib::RefPtr< Gnome::Gda::Batch > wrap | ( | GdaBatch * | object,
|  | bool | take_copy = `false`
| ) |  |
| related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- libgdamm/batch.h